| Flutter Windows Embedder |

Public Member Functions | Public Attributes | List of all members
flutter::KeyboardManager::Win32Message Struct Reference

`#include <keyboard_manager.h>`

## Public Member Functions
bool | IsHighSurrogate () const
bool | IsLowSurrogate () const
bool | IsGeneralKeyDown () const

## Public Attributes
UINT | action
WPARAM | wparam
LPARAM | lparam

## Detailed Description

Definition at line 114 of file keyboard_manager.h.

## Member Function Documentation

## ◆ IsGeneralKeyDown()

bool flutter::KeyboardManager::Win32Message::IsGeneralKeyDown | ( |  | ) | const
| inline

Definition at line 123 of file keyboard_manager.h.

123 {
124 return action == WM_KEYDOWN || action == WM_SYSKEYDOWN;
125 }

References action.

## ◆ IsHighSurrogate()

bool flutter::KeyboardManager::Win32Message::IsHighSurrogate | ( |  | ) | const
| inline

Definition at line 119 of file keyboard_manager.h.

119 { return IS_HIGH_SURROGATE(wparam); }

References wparam.

Referenced by flutter::KeyboardManager::HandleMessage().

## ◆ IsLowSurrogate()

bool flutter::KeyboardManager::Win32Message::IsLowSurrogate | ( |  | ) | const
| inline

Definition at line 121 of file keyboard_manager.h.

121 { return IS_LOW_SURROGATE(wparam); }

References wparam.

Referenced by flutter::KeyboardManager::HandleMessage().

## Member Data Documentation

## ◆ action

UINT flutter::KeyboardManager::Win32Message::action

Definition at line 115 of file keyboard_manager.h.

Referenced by flutter::KeyboardManager::HandleMessage(), IsGeneralKeyDown(), and flutter::KeyboardManager::RedispatchEvent().

## ◆ lparam

LPARAM flutter::KeyboardManager::Win32Message::lparam

Definition at line 117 of file keyboard_manager.h.

Referenced by flutter::KeyboardManager::RedispatchEvent().

## ◆ wparam

WPARAM flutter::KeyboardManager::Win32Message::wparam

Definition at line 116 of file keyboard_manager.h.

Referenced by flutter::KeyboardManager::HandleMessage(), IsHighSurrogate(), IsLowSurrogate(), and flutter::KeyboardManager::RedispatchEvent().

The documentation for this struct was generated from the following file:

- shell/platform/windows/keyboard_manager.h

flutter::KeyboardManager::Win32Message::wparam
WPARAM wparam
Definition: keyboard_manager.h:116
flutter::KeyboardManager::Win32Message::action
UINT action
Definition: keyboard_manager.h:115